Name:          libffado
Version:       2.1.0
Release:       2mamba
Summary:       Free Firewire Audio Drivers Library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.ffado.org/
Source0:       http://www.ffado.org/files/libffado-%{version}.tgz
## svn export -r 1864 http://subversion.ffado.org/ffado/trunk/libffado libffado
## tar czf libffado-2.0.1-src-svn.tar.gz libffado
#Source0:       libffado-%{version}-src-svn.tar.gz
Source1:       README.ffado
# http://subversion.ffado.org/ticket/293
Patch0:        libffado-api-doc-only.patch
# http://subversion.ffado.org/ticket/291
Patch1:        libffado-desktop.patch
# http://subversion.ffado.org/ticket/292
Patch2:        libffado-no-shebang.patch
# http://subversion.ffado.org/ticket/290
Patch3:        libffado-dont-use-bundled-libs.patch
# http://subversion.ffado.org/ticket/290
Patch4:        libffado-libconfig145.patch
Patch5:        libffado-python26.patch
Patch6:        libffado-2.0.1-gcc-4.7.patch
License:       GPL, LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: dbus
BuildRequires: glibc-devel
BuildRequires: libconfig-devel
BuildRequires: libdbus-c++-devel
BuildRequires: libdbus-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libglibmm-devel
BuildRequires: libiec61883-devel
BuildRequires: libpython-devel
BuildRequires: libraw1394-devel
BuildRequires: libsigc++-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxml2-devel
BuildRequires: libxml++-devel
BuildRequires: pkg-config
BuildRequires: PyQt4-devel
BuildRequires: python-dbus-devel
## AUTOBUILDREQ-END
BuildRequires: doxygen
BuildRequires: graphviz
BuildRequires: libalsa-devel
BuildRequires: scons
BuildRequires: subversion
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The FFADO project aims to provide a generic, open-source solution for the support of FireWire based audio devices for the Linux platform. It is the successor of the FreeBoB project.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
The FFADO project aims to provide a generic, open-source solution for the support of FireWire based audio devices for the Linux platform. It is the successor of the FreeBoB project.

This package contains static libraries and header files need for development.

%package -n ffado
Group:         Development/Libraries
Summary:       Applications and utilities for use with %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      dbus
Requires:      python-dbus
Requires:      PyQt4

%description -n ffado
The FFADO project aims to provide a generic, open-source solution for the support of FireWire based audio devices for the Linux platform. It is the successor of the FreeBoB project.

This package contains applications and utilities for use with %{name}.

%prep

%setup -q
#%patch0 -p1
#%patch1 -p1
#%patch2 -p1
#%patch3 -p1
%patch4 -p1
#%patch5
#%patch6 -p1

cp -a %{SOURCE1} .

sed -i '1s|#!/usr/bin/python|#!%{__python}|' support/mixer-qt4/ffado-mixer.in
sed -i '1s|#!/usr/bin/python|#!%{__python}|' support/mixer-qt4/ffado-mixer-profiler.in
sed -i '1s|#!/usr/bin/python|#!%{__python}|' support/tools/ffado-diag.in
sed -i '1s|#!/usr/bin/python|#!%{__python}|' support/tools/ffado-diag-static

for s in $(find . -name "*~"); do
   	rm -rf $s
done

%build
scons %{?_smp_mflags} \
    COMPILE_FLAGS="%{optflags} -ffast-math -lpthread" \
    PREFIX=%{_prefix} \
    LIBDIR=%{_libdir} \
	MANDIR=%{_mandir} \
    PYUIC4=%{_bindir}/pyuic4 \
    PYTHONDIR=%{python26_sitearch} \
    BUILD_TESTS=0

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

scons DESTDIR=%{buildroot} install

mkdir -p %{buildroot}%{_datadir}/applications
install -pm 644 support/xdg/ffado.org-ffadomixer.desktop %{buildroot}%{_datadir}/applications/
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/64x64/apps
ln -s ../../../../libffado/icons/hi64-apps-ffado.png \
	%{buildroot}%{_datadir}/icons/hicolor/64x64/apps/ffado.png

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post -n ffado
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun -n ffado
if [ $1 -eq 0 ] ; then
     touch --no-create %{_datadir}/icons/hicolor &>/dev/null
     gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans -n ffado
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-,root,root)
%{_libdir}/libffado.so.*
%dir %{_datadir}/libffado
%{_datadir}/libffado/configuration
%doc AUTHORS ChangeLog LICENSE.* README

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libffado
%{_includedir}/libffado/ffado.h
%{_libdir}/libffado.so
%{_libdir}/pkgconfig/libffado.pc
#%doc doc/reference/html/*

%files -n ffado
%defattr(-,root,root)
/lib/udev/rules.d/60-ffado.rules
%{_bindir}/ffado-bridgeco-downloader
%{_bindir}/ffado-dbus-server
%{_bindir}/ffado-diag
%{_bindir}/ffado-dice-firmware
%{_bindir}/ffado-fireworks-downloader
%{_bindir}/ffado-mixer
%{_bindir}/ffado-set-nickname
%{_datadir}/libffado/*.xml
%{_datadir}/libffado/python
%{_datadir}/applications/ffado.org-ffadomixer.desktop
%{_datadir}/dbus-1/services/org.ffado.Control.service
%{_datadir}/icons/hicolor/64x64/apps/ffado.png
%{_datadir}/libffado/icons/hi64-apps-ffado.png
%dir %{python_sitearch}/ffado
%{python_sitearch}/ffado/*.py*
%{python_sitearch}/ffado/*.ui
%dir %{python_sitearch}/ffado/mixer
%{python_sitearch}/ffado/mixer/*.py*
%{python_sitearch}/ffado/mixer/*.ui
%dir %{python_sitearch}/ffado/widgets
%{python_sitearch}/ffado/widgets/*.py*
%{_mandir}/man1/ffado-*.1*
%doc README.ffado

%changelog
* Sun Jun 02 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-2mamba
- python 2.7 mass rebuild

* Fri Oct 19 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-1mamba
- update to 2.1.0

* Tue Sep 04 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.1-3mamba
- rebuild (added gcc 4.7 patch)

* Sat Dec 11 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.1-2mamba
- imported from milestone1-contrib to devel

* Sat Oct 02 2010 gil <puntogil@libero.it> 2.0.1-1mamba
- package created by autospec
